Subject: Re: [PATCH] dsa: dsa2: fix compile error for !CONFIG_OF

From: Andrew Lunn <[email-masked]>
Date: Fri, 24 Nov 2017 03:28:26 +0100

On Thu, Nov 23, 2017 at 08:27:48PM +0100, Arend Van Spriel wrote:
> + Arnd
> 
> On Thu, Nov 23, 2017 at 8:12 PM, Arend Van Spriel
> <[email-masked]> wrote:
> > On Thu, Nov 23, 2017 at 3:04 PM, Andrew Lunn <[email-masked]> wrote:
> >> On Thu, Nov 23, 2017 at 01:00:51PM +0100, Arend van Spriel wrote:
> >>> Compilation fails building on x86_64 platform which does not
> >>> have CONFIG_OF enabled.
> >>>
> >>> Signed-off-by: Arend van Spriel <[email-masked]>
> >>> ---
> >>> After rebasing my branch to v4.14 I attempted to build the kernel and hit
> >>> the following compile issue:
> >>>
> >>> net/dsa/dsa2.c: In function \u2018dsa_switch_parse_member_of\u2019:
> >>> net/dsa/dsa2.c:678:2: error: implicit declaration of function
> >>> 'of_property_read_variable_u32_array'
> >>
> >> Hi Arend
> >>
> >> https://lkml.org/lkml/2017/11/6/493
> >
> > So my email/patch did get through initially. Sorry for the noise and
> > thanks for the info.
> 
> Hi Andrew,
> 
> Getting back to this. It seems that this patch did not get in. At
> least I searched for it in v4.14.1 but no luck.

Hi Arned

The use of of_property_read_variable_u32_array was added in
975e6e32215e ("net: dsa: rework switch parsing"). This patch is not in
v4.14. It is in linus/master, so v4.15-rc1 should have it. And the fix
is also in linus/master.

So there does not appear to be anything wrong. I just built v4.14.1
for x86_64 with DSA without problems.

   Andrew